<template>
  <div class="dynamic-section">
    <div
      v-for="d in data"
      :key="d.id"
      :style="{ minWidth: d.type == 'youtube' ? '100%' : '' }"
      class="box"
    >
      <div
        v-if="d.type == 'rich text' && d.detail"
        v-html="$replaceMediaPath(d.detail)"
        class="rich-text"
      ></div>
      <AppImg
        v-if="d.type == 'image' && _.get(d, 'image.data.attributes.url')"
        :src="api_url + _.get(d, 'image.data.attributes.url')"
      />
      <div v-if="d.type == 'youtube' && d.youtube_url" class="youtube">
        <YoutubePlayer v-if="d.youtube_url" :video_url="d.youtube_url" />
      </div>
    </div>
  </div>
</template>

<script>
import _ from "lodash";

export default {
  props: {
    data: {
      type: Array,
      default: [],
    },
  },
  data() {
    return {
      api_url: process.env.api_url,
    };
  },
  computed: {
    _() {
      return _;
    },
  },
};
</script>

<style lang="scss" scoped></style>
